<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

use Platiti\GPWebPayGpeNs\Magento\UniAdapterModel;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

/**
 * @method $this setMethod(Mage_Payment_Model_Method_Abstract $method)
 */
class PhpStan_Mage_Payment_Block_Form extends Mage_Payment_Block_Form {}

class Platiti_Block_Form extends PhpStan_Mage_Payment_Block_Form
{

	/**
	 * @param UniAdapterModel $method
	 *
	 * @return void
	 */
	public function setMethod($method) {
		/** @var PhpStan_Platiti_Block_Form $this */
		UniErr::begin();
		parent::setMethod($method);
		$logoimg = $method->getImage();
		$html = "<img style='width:7ex;vertical-align:middle' src='".$logoimg."'/>" . " &nbsp; " . $method->getTitle() . $method->getMiniLogo();
		$this->setMethodTitle(' ')->setMethodLabelAfterHtml($html);
		UniErr::end();
	}


}
